Irrlicht Engine: irr::scene::IQ3LevelMesh Class Reference

Home | Namespaces | Hierarchy | Alphabetical List | Class list | Files | Namespace Members | Class members | File members | Tutorials

# irr::scene::IQ3LevelMesh Class Reference

Interface for a Mesh which can be loaded directly from a Quake3 .bsp-file. More...

`#include <IQ3LevelMesh.h>`

Inheritance diagram for irr::scene::IQ3LevelMesh:

List of all members.

## Public Member Functions
virtual quake3::tQ3EntityList & | getEntityList ()=0
| get's an interface to the entities
virtual const quake3::IShader * | getShader (u32 index) const =0
| returns a already loaded Shader
virtual const quake3::IShader * | getShader (const c8 *filename, bool fileNameIsValid=true)=0
| loads the shader definition from file

## Detailed Description

Interface for a Mesh which can be loaded directly from a Quake3 .bsp-file.

The Mesh tries to load all textures of the map. There are currently no additional methods in this class, but maybe there will be some in later releases if there are feature requests.

Definition at line 19 of file IQ3LevelMesh.h.

## Member Function Documentation

virtual quake3::tQ3EntityList& irr::scene::IQ3LevelMesh::getEntityList | ( |  | ) | `[pure virtual]`

get's an interface to the entities

virtual const quake3::IShader* irr::scene::IQ3LevelMesh::getShader | ( | u32 | index | ) | const`[pure virtual]`

returns a already loaded Shader

virtual const quake3::IShader* irr::scene::IQ3LevelMesh::getShader | ( | const c8 * | filename,
|  | bool | fileNameIsValid = `true` |
| ) |  |  | `[pure virtual]`

loads the shader definition from file

Parameters:

  | filename | Name of the shaderfile, defaults to /scripts if fileNameIsValid is false.
  | fileNameIsValid | Specifies whether the filename is valid in the current situation.

The documentation for this class was generated from the following file:

- IQ3LevelMesh.h

| The Irrlicht Engine Documentation © 2003-2010 by Nikolaus Gebhardt. Generated on Sun Oct 24 12:42:07 2010 by Doxygen (1.6.2)